"{ Encoding: utf8 }"

"
 COPYRIGHT (c) 2018 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libjavascript' }"

"{ NameSpace: Smalltalk }"

ConstantNode subclass:#JavaScriptConstantNode
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-JavaScript-Framework'
!

!JavaScriptConstantNode class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2018 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!JavaScriptConstantNode methodsFor:'printing & storing'!

printOn:aStream indent:i
    originalString notNil ifTrue:[
        aStream nextPutAll:originalString.
        ^ self.
    ].    
    self printValue:value on:aStream indent:i

    "Modified: / 15-02-2019 / 14:37:25 / Claus Gittinger"
!

printValue:value on:aStream indent:i
    value isArray ifTrue:[
        aStream nextPutAll:'['.
        value 
            do:[:eachValue |
                self printValue:eachValue on:aStream indent:i
            ]
            separatedBy:[
                aStream nextPutAll:', '
            ].
        aStream nextPutAll:']'.
        ^ self.
    ].
    value == nil ifTrue:[
        aStream nextPutAll:'null'.
        ^ self.
    ].

    value storeOn:aStream
! !

!JavaScriptConstantNode class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

